<div class="container">
  <mat-form-field>
    <mat-label>Filtrar</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Ejemplo: Marin" #input maxlength=100%>
  </mat-form-field>
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
  
    <!-- id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> No. </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
  
    <!-- name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Nombre </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>
    
    <!-- lastName Column -->
    <ng-container matColumnDef="lastName">
      <th mat-header-cell *matHeaderCellDef> Apellido </th>
      <td mat-cell *matCellDef="let element"> {{element.last_name}} </td>
    </ng-container>
    
    <!-- birthday Column -->
    <ng-container matColumnDef="birthday">
      <th mat-header-cell *matHeaderCellDef> Cumpleaños </th>
      <td mat-cell *matCellDef="let element"> {{element.birthday | date: 'shortDate'}} </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No hay datos que coincidan con el filtro "{{input.value}}"</td>
    </tr>
  </table>
  <mat-paginator [pageSizeOptions]="[10]" showFirstLastButtons></mat-paginator>
</div>

        
          